OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.MemoryObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTMemoryObject :: MonadIO m => m Bool
- gl_EXT_memory_object :: Bool
- pattern GL_DEDICATED_MEMORY_OBJECT_EXT :: GLenum
- pattern GL_DEVICE_UUID_EXT :: GLenum
- pattern GL_DRIVER_UUID_EXT :: GLenum
- pattern GL_LINEAR_TILING_EXT :: GLenum
- pattern GL_NUM_DEVICE_UUIDS_EXT :: GLenum
- pattern GL_NUM_TILING_TYPES_EXT :: GLenum
- pattern GL_OPTIMAL_TILING_EXT :: GLenum
- pattern GL_PROTECTED_MEMORY_OBJECT_EXT :: GLenum
- pattern GL_TEXTURE_TILING_EXT :: GLenum
- pattern GL_TILING_TYPES_EXT :: GLenum
- pattern GL_UUID_SIZE_EXT :: GLenum
- glBufferStorageMemEXT :: MonadIO m => GLenum -> GLsizeiptr -> GLuint -> GLuint64 -> m ()
- glCreateMemoryObjectsEXT :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteMemoryObjectsEXT :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetMemoryObjectParameterivEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetUnsignedBytei_vEXT :: MonadIO m => GLenum -> GLuint -> Ptr GLubyte -> m ()
- glGetUnsignedBytevEXT :: MonadIO m => GLenum -> Ptr GLubyte -> m ()
- glIsMemoryObjectEXT :: MonadIO m => GLuint -> m GLboolean
- glMemoryObjectParameterivEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glNamedBufferStorageMemEXT :: MonadIO m => GLuint -> GLsizeiptr -> GLuint -> GLuint64 -> m ()
- glTexStorageMem1DEXT :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLuint -> GLuint64 -> m ()
- glTexStorageMem2DEXT :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLuint -> GLuint64 -> m ()
- glTexStorageMem2DMultisampleEXT :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLboolean -> GLuint -> GLuint64 -> m ()
- glTexStorageMem3DEXT :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLuint -> GLuint64 -> m ()
- glTexStorageMem3DMultisampleEXT :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> GLuint -> GLuint64 -> m ()
- glTextureStorageMem1DEXT :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> GLuint -> GLuint64 -> m ()
- glTextureStorageMem2DEXT :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLuint -> GLuint64 -> m ()
- glTextureStorageMem2DMultisampleEXT :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLboolean -> GLuint -> GLuint64 -> m ()
- glTextureStorageMem3DEXT :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLuint -> GLuint64 -> m ()
- glTextureStorageMem3DMultisampleEXT :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> GLuint -> GLuint64 -> m ()

# Extension Support

glGetEXTMemoryObject :: MonadIO m => m Bool Source #

Is the EXT_memory_object extension supported?

gl_EXT_memory_object :: Bool Source #

Is the EXT_memory_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTMemoryObject` in those cases instead.

# Enums

pattern GL_DEDICATED_MEMORY_OBJECT_EXT :: GLenum Source #

pattern GL_DEVICE_UUID_EXT :: GLenum Source #

pattern GL_DRIVER_UUID_EXT :: GLenum Source #

pattern GL_LINEAR_TILING_EXT :: GLenum Source #

pattern GL_NUM_DEVICE_UUIDS_EXT :: GLenum Source #

pattern GL_NUM_TILING_TYPES_EXT :: GLenum Source #

pattern GL_OPTIMAL_TILING_EXT :: GLenum Source #

pattern GL_PROTECTED_MEMORY_OBJECT_EXT :: GLenum Source #

pattern GL_TEXTURE_TILING_EXT :: GLenum Source #

pattern GL_TILING_TYPES_EXT :: GLenum Source #

pattern GL_UUID_SIZE_EXT :: GLenum Source #

# Functions

glBufferStorageMemEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLsizeiptr | `size` of type `BufferSize`.
-> GLuint | `memory`.
-> GLuint64 | `offset`.
-> m () |

glCreateMemoryObjectsEXT Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `memoryObjects`.
-> m () |

glDeleteMemoryObjectsEXT Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `memoryObjects` pointing to `n` elements of type `GLuint`.
-> m () |

glGetMemoryObjectParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `memoryObject`.
-> GLenum | `pname` of type MemoryObjectParameterName.
-> Ptr GLint | `params`.
-> m () |

glGetUnsignedBytei_vEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> Ptr GLubyte | `data` pointing to `COMPSIZE(target)` elements of type `GLubyte`.
-> m () |

glGetUnsignedBytevEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLubyte | `data` pointing to `COMPSIZE(pname)` elements of type `GLubyte`.
-> m () |

glIsMemoryObjectEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `memoryObject`.
-> m GLboolean | of type Boolean.

glMemoryObjectParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `memoryObject`.
-> GLenum | `pname` of type MemoryObjectParameterName.
-> Ptr GLint | `params`.
-> m () |

glNamedBufferStorageMemEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> GLuint | `memory`.
-> GLuint64 | `offset`.
-> m () |

glTexStorageMem1DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `levels`.
-> GLenum | `internalFormat`.
-> GLsizei | `width`.
-> GLuint | `memory`.
-> GLuint64 | `offset`.
-> m () |

glTexStorageMem2DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `levels`.
-> GLenum | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLuint | `memory`.
-> GLuint64 | `offset`.
-> m () |

glTexStorageMem2DMultisampleEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `samples`.
-> GLenum | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLboolean | `fixedSampleLocations` of type Boolean.
-> GLuint | `memory`.
-> GLuint64 | `offset`.
-> m () |

glTexStorageMem3DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `levels`.
-> GLenum | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLuint | `memory`.
-> GLuint64 | `offset`.
-> m () |

glTexStorageMem3DMultisampleEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `samples`.
-> GLenum | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `fixedSampleLocations` of type Boolean.
-> GLuint | `memory`.
-> GLuint64 | `offset`.
-> m () |

glTextureStorageMem1DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLsizei | `levels`.
-> GLenum | `internalFormat`.
-> GLsizei | `width`.
-> GLuint | `memory`.
-> GLuint64 | `offset`.
-> m () |

glTextureStorageMem2DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLsizei | `levels`.
-> GLenum | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLuint | `memory`.
-> GLuint64 | `offset`.
-> m () |

glTextureStorageMem2DMultisampleEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLsizei | `samples`.
-> GLenum | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLboolean | `fixedSampleLocations` of type Boolean.
-> GLuint | `memory`.
-> GLuint64 | `offset`.
-> m () |

glTextureStorageMem3DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLsizei | `levels`.
-> GLenum | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLuint | `memory`.
-> GLuint64 | `offset`.
-> m () |

glTextureStorageMem3DMultisampleEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLsizei | `samples`.
-> GLenum | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `fixedSampleLocations` of type Boolean.
-> GLuint | `memory`.
-> GLuint64 | `offset`.
-> m () |